View Issue Details

IDProjectCategoryView StatusLast Update
0004324SymmetricDSImprovementpublic2020-04-23 10:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004324: Upgrade to log4j2
DescriptionUpgrade from log4j 1.2 to log4j 2.13. The old log4j is no longer being maintained and shows up in security scans as vulnerable. The new log4j is faster, separates the API from the spec, and offers new features.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 f4d483ac

2020-03-23 10:29:47

admin

Details Diff
0004324: Upgrade to log4j2
0004324
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-client/build.gradle Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/AbstractCommandLauncher.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File
mod - symmetric-core/build.gradle Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/LogSummaryAppenderUtils.java Diff File
rm - symmetric-core/src/main/java/org/jumpmind/symmetric/web/SymPatternLayout.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataLoaderServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractServiceTest.java Diff File
mod - symmetric-jdbc/src/integrationTest/java/org/jumpmind/db/AbstractDdlTypesTest.java Diff File
mod - symmetric-jdbc/src/integrationTest/java/org/jumpmind/db/DatabasePlatformTest.java Diff File
mod - symmetric-server/src/integrationTest/java/org/jumpmind/symmetric/test/AbstractIntegrationTest.java Diff File
mod - symmetric-server/src/integrationTest/java/org/jumpmind/symmetric/test/SimpleIntegrationTest.java Diff File
mod - symmetric-server/src/main/deploy/bin/setenv Diff File
mod - symmetric-server/src/main/deploy/bin/setenv.bat Diff File
rm - symmetric-server/src/main/deploy/conf/log4j-blank.xml Diff File
rm - symmetric-server/src/main/deploy/conf/log4j-debug.xml Diff File
rm - symmetric-server/src/main/deploy/conf/log4j.xml Diff File
add - symmetric-server/src/main/deploy/conf/log4j2-blank.xml Diff File
add - symmetric-server/src/main/deploy/conf/log4j2-debug.xml Diff File
add - symmetric-server/src/main/deploy/conf/log4j2.xml Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/LogRequestResponseFilter.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File
mod - symmetric-sqlexplorer/src/test/java/org/jumpmind/vaadin/ui/sqlexplorer/DemoUI.java Diff File
rm - symmetric-sqlexplorer/src/test/resources/log4j-test.xml Diff File
add - symmetric-sqlexplorer/src/test/resources/log4j2-test.xml Diff File
rm - symmetric-util/src/main/java/org/jumpmind/util/BufferedLogAppender.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/LogSummary.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/LogSummaryAppender.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/SymRollingFileAppender.java Diff File
rm - symmetric-util/src/test/java/org/jumpmind/util/SymRollingFileAppenderTest.java Diff File
rm - symmetric-util/src/test/resources/log4j.xml Diff File
add - symmetric-util/src/test/resources/log4j2.xml Diff File

SymmetricDS: 3.12 fa7db0ec

2020-03-24 09:04:04

admin

Details Diff
0004324: Upgrade to log4j2
0004324
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/AbstractCommandLauncher.java Diff File
mod - symmetric-server/src/main/deploy/conf/log4j2-debug.xml Diff File
mod - symmetric-server/src/main/deploy/conf/log4j2.xml Diff File
rm - symmetric-sqlexplorer/src/test/resources/log4j2-test.xml Diff File

SymmetricDS: 3.12 c1a1cf26

2020-03-24 09:10:34

admin

Details Diff
0004324: Upgrade to log4j2
0004324
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/AbstractCommandLauncher.java Diff File
mod - symmetric-server/src/main/deploy/conf/log4j2-debug.xml Diff File
mod - symmetric-server/src/main/deploy/conf/log4j2.xml Diff File

SymmetricDS: 3.12 00a181d1

2020-03-24 11:31:58

admin

Details Diff
0004324: Upgrade to log4j2
0004324
mod - symmetric-util/src/test/resources/log4j2.xml Diff File

SymmetricDS: 3.12 ecca99a4

2020-04-22 17:06:15

admin

Details Diff
0004324: Upgrade to log4j2
0004324
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File

SymmetricDS: 3.12 dbb30bf1

2020-04-23 09:15:20

admin

Details Diff
0004324: Upgrade to log4j2
0004324
mod - symmetric-server/src/main/deploy/bin/setenv.bat Diff File

Issue History

Date Modified Username Field Change
2020-03-23 10:26 elong New Issue
2020-03-23 10:26 elong Status new => assigned
2020-03-23 10:26 elong Assigned To => elong
2020-03-23 10:32 elong Status assigned => resolved
2020-03-23 10:32 elong Resolution open => fixed
2020-03-23 10:32 elong Fixed in Version => 3.12.0
2020-03-23 11:00 admin Changeset attached => SymmetricDS 3.12 f4d483ac
2020-03-24 10:00 admin Changeset attached => SymmetricDS 3.12 c1a1cf26
2020-03-24 10:00 admin Changeset attached => SymmetricDS 3.12 fa7db0ec
2020-03-24 12:00 admin Changeset attached => SymmetricDS 3.12 00a181d1
2020-04-22 18:00 admin Changeset attached => SymmetricDS 3.12 ecca99a4
2020-04-23 10:00 admin Changeset attached => SymmetricDS 3.12 dbb30bf1